OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.SeparateShaderObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSeparateShaderObjects :: MonadIO m => m Bool
- gl_ARB_separate_shader_objects :: Bool
- pattern GL_ACTIVE_PROGRAM :: GLenum
- pattern GL_ALL_SHADER_BITS :: GLbitfield
- pattern GL_FRAGMENT_SHADER_BIT :: GLbitfield
- pattern GL_GEOMETRY_SHADER_BIT :: GLbitfield
- pattern GL_PROGRAM_PIPELINE_BINDING :: GLenum
- pattern GL_PROGRAM_SEPARABLE :: GLenum
- pattern GL_TESS_CONTROL_SHADER_BIT :: GLbitfield
- pattern GL_TESS_EVALUATION_SHADER_BIT :: GLbitfield
- pattern GL_VERTEX_SHADER_BIT :: GLbitfield
- glActiveShaderProgram :: MonadIO m => GLuint -> GLuint -> m ()
- glBindProgramPipeline :: MonadIO m => GLuint -> m ()
- glCreateShaderProgramv :: MonadIO m => GLenum -> GLsizei -> Ptr (Ptr GLchar) -> m GLuint
- glDeleteProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramPipelineInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetProgramPipelineiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsProgramPipeline :: MonadIO m => GLuint -> m GLboolean
- glProgramParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glProgramUniform1d :: MonadIO m => GLuint -> GLint -> GLdouble -> m ()
- glProgramUniform1dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform1f :: MonadIO m => GLuint -> GLint -> GLfloat -> m ()
- glProgramUniform1fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform1i :: MonadIO m => GLuint -> GLint -> GLint -> m ()
- glProgramUniform1iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform1ui :: MonadIO m => GLuint -> GLint -> GLuint -> m ()
- glProgramUniform1uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform2d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> m ()
- glProgramUniform2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform2f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> m ()
- glProgramUniform2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform2i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform2iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform2ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> m ()
- glProgramUniform2uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform3d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform3f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform3i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform3iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform3ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform3uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform4d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform4f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform4i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform4iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform4ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform4uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniformMatrix2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUseProgramStages :: MonadIO m => GLuint -> GLbitfield -> GLuint -> m ()
- glValidateProgramPipeline :: MonadIO m => GLuint -> m ()

# Extension Support

glGetARBSeparateShaderObjects :: MonadIO m => m Bool Source #

Is the ARB_separate_shader_objects extension supported?

gl_ARB_separate_shader_objects :: Bool Source #

Is the ARB_separate_shader_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSeparateShaderObjects` in those cases instead.

# Enums

pattern GL_ACTIVE_PROGRAM :: GLenum Source #

pattern GL_ALL_SHADER_BITS :: GLbitfield Source #

pattern GL_FRAGMENT_SHADER_BIT :: GLbitfield Source #

pattern GL_GEOMETRY_SHADER_BIT :: GLbitfield Source #

pattern GL_PROGRAM_PIPELINE_BINDING :: GLenum Source #

pattern GL_PROGRAM_SEPARABLE :: GLenum Source #

pattern GL_TESS_CONTROL_SHADER_BIT :: GLbitfield Source #

pattern GL_TESS_EVALUATION_SHADER_BIT :: GLbitfield Source #

pattern GL_VERTEX_SHADER_BIT :: GLbitfield Source #

# Functions

glActiveShaderProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLuint | `program`.
-> m () |

Manual page for OpenGL 4.x.

glBindProgramPipeline Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m () |

Manual page for OpenGL 4.x.

glCreateShaderProgramv Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ShaderType.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `strings` pointing to `count` elements of type `Ptr GLchar`.
-> m GLuint |

Manual page for OpenGL 4.x.

glDeleteProgramPipelines Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glGenProgramPipelines Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramPipelineInfoLog Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramPipelineiv Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLenum | `pname` of type PipelineParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glIsProgramPipeline Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 4.x.

glProgramParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramParameterPName.
-> GLint | `value`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1d Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> m () |

glProgramUniform1dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniform1f Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1i Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1iv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1ui Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2d Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> m () |

glProgramUniform2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*2` elements of type `GLdouble`.
-> m () |

glProgramUniform2f Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*2` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2i Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2iv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*2` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2ui Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*2` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3d Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> GLdouble | `v2`.
-> m () |

glProgramUniform3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*3` elements of type `GLdouble`.
-> m () |

glProgramUniform3f Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*3` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3i Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3iv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*3` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3ui Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*3` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4d Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> GLdouble | `v2`.
-> GLdouble | `v3`.
-> m () |

glProgramUniform4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glProgramUniform4f Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> GLfloat | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4i Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> GLint | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4iv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*4` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4ui Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> GLuint | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*4` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2x3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2x4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*9` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*9` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3x2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3x4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*16` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4x2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4x3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glUseProgramStages Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLbitfield | `stages` of type UseProgramStageMask.
-> GLuint | `program`.
-> m () |

Manual page for OpenGL 4.x.

glValidateProgramPipeline Source #

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m () |

Manual page for OpenGL 4.x.